Name:           nheko
Version:        0.11.3
Release:        %mkrel 3
Summary:        Desktop client for the Matrix protocol
# Main source - GPLv3+
# cpp-httplib - bundled - MIT
# blurhash - bundled - Boost
# qtsingleapplication-qt5 - bundled - MIT
License:        GPLv3+ and MIT and Boost
Group:          Networking/Instant messaging
URL:            https://github.com/Nheko-Reborn/%{name}
#from https://github.com/Nheko-Reborn/nheko/archive/refs/tags/v%%{version}.tar.gz
Source0:        https://github.com/Nheko-Reborn/nheko/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.15.0
BuildRequires:  cmake(Boost) >= 1.70
BuildRequires:  cmake(mpark_variant)
BuildRequires:  cmake(MatrixClient) >= 0.5.1
BuildRequires:  cmake(Olm)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Keychain) >= 0.12.0
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5QuickWidgets)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(spdlog) >= 1.0.0

BuildRequires:  config(asciidoc)

BuildRequires:  pkgconfig(coeurl) >= 0.3.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-app-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-sdp-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.18.0
BuildRequires:  pkgconfig(gstreamer-webrtc-1.0) >= 1.18.0
BuildRequires:  pkgconfig(libcmark) >= 0.29.0
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(lmdb) 
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnome-keyring-1)

#squidf: add boost to make sure to get all lib64boost librairies 
BuildRequires:  boost
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  lmdbxx-devel >= 1.0.0
BuildRequires:  ninja-build
BuildRequires:  qt5platformsupport-devel

Requires:   hicolor-icon-theme
Requires:   qt-jdenticon
Requires:   qtgraphicaleffects5
Requires:   qtquickcontrols25
Requires:   qtmultimedia5
Requires:   mtxclient >= 0.9.0

Recommends: google-noto-emoji-color-fonts
Recommends: nheko-zsh-completion


%description
The motivation behind the project is to provide a native desktop app
for Matrix that feels more like a mainstream chat app.

%package zsh-completion
Summary:        Zsh completion for %{name}
Group:          System/Configuration
BuildArch:      noarch
Requires:       zsh
Requires:       %{name}
Supplements:    (%{name} and zsh)

%description zsh-completion
This package contain the zsh completion command for the %{name} matrix client.


%prep
%autosetup

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DHUNTER_ENABLED=OFF

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml

%files
%doc README.md CHANGELOG.md
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*

%files zsh-completion
%{_datadir}/zsh/site-functions/_%{name}


%changelog
* Tue Apr 25 2023 squidf <squidf> 0.11.3-3.mga9
+ Revision: 1954918
+ rebuild (emptylog)

* Tue Apr 25 2023 squidf <squidf> 0.11.3-2.mga9
+ Revision: 1954910
- Rebuild for mtxclient 0.9.2

* Sun Apr 23 2023 squidf <squidf> 0.11.3-1.mga9
+ Revision: 1954622
- Add missing dependency
- New version: 0.11.3

* Sun Feb 19 2023 daviddavid <daviddavid> 0.11.1-3.mga9
+ Revision: 1944157
- rebuild for new cmark

* Mon Jan 16 2023 squidf <squidf> 0.11.1-2.mga9
+ Revision: 1933704
- Recommend emojis font

* Mon Jan 16 2023 squidf <squidf> 0.11.1-1.mga9
+ Revision: 1933699
- New version: 0.11.1

* Sat Jan 14 2023 squidf <squidf> 0.11.0-1.mga9
+ Revision: 1932887
- New version: 0.11.0

* Fri Dec 23 2022 squidf <squidf> 0.10.2-1.1.mga9
+ Revision: 1926145
- Fix zsh package group
- First build for Mageia

